audit

GET /v1/audit

Read the organization's audit log.

ಎಲ್ಲಾ audit ಎಂಡ್‌ಪಾಯಿಂಟ್‌ಗಳು

ದೃಢೀಕರಣ

ಬೇರರ್ ಟೋಕನ್ ಆಗಿ API ಕೀಯನ್ನು ಕಳುಹಿಸಿ. ಕೀಯು audit.read ಅನುಮತಿಯನ್ನು ಹೊಂದಿರಬೇಕು; ಅದನ್ನು ಹೊಂದಿರದ ಕೀಯನ್ನು 404 ಬದಲಿಗೆ 403 ನೊಂದಿಗೆ ತಿರಸ್ಕರಿಸಲಾಗುತ್ತದೆ.

ನಿಮ್ಮ ಸಂಸ್ಥೆಯ ಐಡಿ ಬರುವ ಸ್ಥಳ

ಈ ಎಂಡ್‌ಪಾಯಿಂಟ್ org_id ಅನ್ನು ಕ್ವೆರಿ ಪ್ಯಾರಾಮೀಟರ್ ಆಗಿ ತೆಗೆದುಕೊಳ್ಳುತ್ತದೆ. ಅದನ್ನು ಬಿಟ್ಟುಬಿಟ್ಟರೆ ಕರೆಯು ನಿಮ್ಮ ಸಂಪೂರ್ಣ ಟೆನೆನ್ಸಿ ಉಪಮರವನ್ನು (sub-tree) ಒಳಗೊಳ್ಳುತ್ತದೆ; ಕರೆಯನ್ನು ಒಂದೇ ಸಂಸ್ಥೆಗೆ ಸೀಮಿತಗೊಳಿಸಲು ಅದನ್ನು ಕಳುಹಿಸಿ.

ನಿಮ್ಮ ಸಂಸ್ಥೆಯ ಐಡಿಯು ನಿಮ್ಮ ಡ್ಯಾಶ್‌ಬೋರ್ಡ್‌ನಲ್ಲಿರುವ API ಕೀಗಳ ಪರದೆಯ ಮೇಲೆ, ಕೀ ಯ ಪಕ್ಕದಲ್ಲೇ ಇರುತ್ತದೆ. ನೀವು ಮಾಡುವ ಪ್ರತಿಯೊಂದು ಕರೆ(call)ಯಲ್ಲೂ ಇದು ಒಂದೇ ಐಡಿ ಆಗಿರುತ್ತದೆ.

ಪ್ರಯತ್ನಿಸಿ

ಕೋನೀಯ ಬ್ರಾಕೆಟ್‌ಗಳಲ್ಲಿರುವ ಯಾವುದೇ ಅಂಶವನ್ನು ನಿಮ್ಮ ಸ್ವಂತ ಮೌಲ್ಯಗಳೊಂದಿಗೆ ಮತ್ತು ಕೀ ಪ್ಲೇಸ್‌ಹೋಲ್ಡರ್ ಅನ್ನು ನಿಮ್ಮ ಡ್ಯಾಶ್‌ಬೋರ್ಡ್‌ನಲ್ಲಿರುವ ಕೀಯೊಂದಿಗೆ ಬದಲಾಯಿಸಿ.

curl -X GET https://api.zinndigital.com/v1/audit \
  -H "Authorization: Bearer zdk_live_…"

ಸೈನ್ ಇನ್ ಆಗಿದ್ದೀರಾ? ನಿಮ್ಮ ಡ್ಯಾಶ್‌ಬೋರ್ಡ್‌ನಲ್ಲಿರುವ API ಕನ್ಸೋಲ್ ನಿಮ್ಮ ನೈಜ ಸಂಸ್ಥೆಯ ID ಮತ್ತು ನಿಮ್ಮ ಸ್ವಂತ ಕೀಲಿಯನ್ನು ಭರ್ತಿ ಮಾಡುತ್ತದೆ, ಮತ್ತು ಲೈವ್ API ವಿರುದ್ಧ ವಿನಂತಿಯನ್ನು ರನ್ ಮಾಡುತ್ತದೆ ಆದ್ದರಿಂದ ನೀವು ನಿಜವಾದ ಪ್ರತಿಕ್ರಿಯೆಯನ್ನು ನೋಡಬಹುದು. API ಕನ್ಸೋಲ್‌ನಲ್ಲಿ ಈ ಎಂಡ್‌ಪಾಯಿಂಟ್ ತೆರೆಯಿರಿ

ವಿವರಗಳು

Returns the append-only record of privileged actions taken in the tenant — including staff access — **newest first**, ordered by the sortable id, with older entries reachable by paging the cursor. (It described itself as `oldest → newest` until #462 made every collection newest-first: for an audit feed the answer to "what just happened here?" was on the last page.) The actor's IP is not exposed here (it is admin-console only). Requires `audit.read`.

ಪ್ಯಾರಾಮೀಟರ್‌ಗಳು

ಹೆಸರುಪ್ರಕಾರಅಗತ್ಯವಿದೆಏನಿದು
cursor (query)stringಇಲ್ಲOpaque cursor from a previous page's `page.next_cursor`.
limit (query)integerಇಲ್ಲMaximum items to return (page size).
org_id (query)Uuidಇಲ್ಲRestrict to one organization in scope (default — the whole subtree).
action (query)stringಇಲ್ಲFilter to one action code (e.g. `apikey.created`).
actor (query)stringಇಲ್ಲFilter to one actor (e.g. `user:0190…` or `apikey:0190…`).
since (query)stringಇಲ್ಲOnly entries at or after this ISO 8601 instant.

ಪ್ರತಿಕ್ರಿಯೆ

ಹೆಸರುಪ್ರಕಾರಅಗತ್ಯವಿದೆಏನಿದು
dataAuditEntry[]ಹೌದು
pagePageMetaಹೌದು

ಈ ಎಂಡ್‌ಪಾಯಿಂಟ್ ಹಿಂತಿರುಗಿಸಬಹುದಾದ ದೋಷಗಳು

401 · 403 · 422 · 429